Subject: RE: IPv4 mapped addresses issue

From: "Naidu, Venkata" <[email-masked]>
Date: Mon, 14 Jun 2004 18:03:47 -0400

-> > Hello IPv6:
-> >  
-> > In RFC 3493 it is said AF_INET6 sockets receive 
-> connections from IPv4 nodes,
-> > mapping their addresses to ::ffff:<IPv4 address>. I think 
-> this behaviour is
-> > on by default. Although it is not explicitly stated, 
-> section 5.3 indicates a
-> > way to turn off this behaviour using the IPv6_V6ONLY socket option.
-> > I was wondering if you can or can't bind both AF_INET6 and 
-> AF_INET sockets
-> > to the same port at the same time. Is it ok or is it a 
-> bind error? If it is
-> > not an error which socket receives a IPv4 connection? 
-> Both? Only one? None?
-> > In my test lab I can't seam to be able to get Microsoft's 
-> O.S. AF_INET6
-> > sockets to receive connections from IPv4, forcing me to 
-> bind 2 sockets, one
-> > in each protocol. In linux it works fine though, I only 
-> nead one socket. I
-> > have not tested any other O.S. yet. This seams highly 
-> contraditory...
-> 
-> 	the behavior (relationship between AF_INET and AF_INET6 
-> sockets/binds)
-> 	is not documented, so there's no standard.  sigh.

  I think it is very well documented in recent Unix Network
  Programming, The Sockets Networking API, Volume 1, Third Edition, 
  by Richard Stevens, Bill Fenner and Andrew Rudoff, Chaper 12,
  (I think, Chaper 10 in Second Edition) which is IPv4 and
  IPv6 Interoperability, page 357 when dealing with how the
  connections are accepted by IPv6 servers from clients.

  If this book is not a standard, then we may need to add
  this books information when we re-spin RFC3493 or RFC3542.

Venkata.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------